forrest-svn mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cross...@apache.org
Subject svn commit: r179035 - in /forrest/trunk/site-author/content/xdocs: docs/faq.xml docs/upgrading_07.xml site.xml
Date Mon, 30 May 2005 07:34:16 GMT
Author: crossley
Date: Mon May 30 00:34:15 2005
New Revision: 179035

URL: http://svn.apache.org/viewcvs?rev=179035&view=rev
Log:
Clarify the requirement for Java 1.4

Modified:
    forrest/trunk/site-author/content/xdocs/docs/faq.xml
    forrest/trunk/site-author/content/xdocs/docs/upgrading_07.xml
    forrest/trunk/site-author/content/xdocs/site.xml

Modified: forrest/trunk/site-author/content/xdocs/docs/faq.xml
URL: http://svn.apache.org/viewcvs/forrest/trunk/site-author/content/xdocs/docs/faq.xml?rev=179035&r1=179034&r2=179035&view=diff
==============================================================================
--- forrest/trunk/site-author/content/xdocs/docs/faq.xml (original)
+++ forrest/trunk/site-author/content/xdocs/docs/faq.xml Mon May 30 00:34:15 2005
@@ -31,15 +31,21 @@
       <question> What are the system requirements for Forrest? </question>
       <answer>
         <p> Forrest includes everything necessary to build and run, except of course
for Java. In
-          addition to all the Cocoon JARs, Forrest includes and uses its own version of Ant.
Java
-          1.4+ is required. </p>
+          addition to all the Cocoon JARs, Forrest includes and uses its own version of Apache
Ant.
+        </p>
+        <p>
+          Java 1.4 (or newer) is required. If you are only going to use Forrest
+          as-is then you need only the Java Runtime Environment (JRE).
+          If you intend to enhance and rebuild Forrest (or use the Forrest sources
+          with Subversion or use a source snapshot) then you need the full JDK.
+        </p>
       </answer>
     </faq>
     <faq id="cvs">
       <question> The old xml-forrest CVS code repository seems to be stale. What happened?
</question>
       <answer>
-        <p> Forrest switched from a CVS code repository to SVN (subversion) code repository.
The old
-          CVS repository is not kept current. </p>
+        <p> Forrest switched from a CVS code repository to SVN (Subversion) code repository.
The old
+          CVS repository is closed and not kept current. </p>
       </answer>
     </faq>
     <faq id="svn">

Modified: forrest/trunk/site-author/content/xdocs/docs/upgrading_07.xml
URL: http://svn.apache.org/viewcvs/forrest/trunk/site-author/content/xdocs/docs/upgrading_07.xml?rev=179035&r1=179034&r2=179035&view=diff
==============================================================================
--- forrest/trunk/site-author/content/xdocs/docs/upgrading_07.xml (original)
+++ forrest/trunk/site-author/content/xdocs/docs/upgrading_07.xml Mon May 30 00:34:15 2005
@@ -48,7 +48,7 @@
       </p>
       <ul>
         <li>Plugin architecture</li>
-        <li>JDK 1.4</li>
+        <li>Java 1.4</li>
       </ul>
       <p>
         As usual, do a "forrest seed site" in a new directory and compare the
@@ -73,8 +73,9 @@
     </section>
 
     <section id="jdk14">
-      <title>Java JDK 1.4 is required</title>
-      <p>Java JDK 1.4 is required, starting with this Forrest 0.7 version.
+      <title>Java 1.4 (or newer) is required</title>
+      <p>Java 1.4 (or newer) is required, starting with this Forrest 0.7 version.
+        For further information, see <a href="site:faq/requirements">FAQ</a>.
       </p>
     </section>
 

Modified: forrest/trunk/site-author/content/xdocs/site.xml
URL: http://svn.apache.org/viewcvs/forrest/trunk/site-author/content/xdocs/site.xml?rev=179035&r1=179034&r2=179035&view=diff
==============================================================================
--- forrest/trunk/site-author/content/xdocs/site.xml (original)
+++ forrest/trunk/site-author/content/xdocs/site.xml Mon May 30 00:34:15 2005
@@ -43,6 +43,7 @@
       <cli-xconf href="#cli-xconf"/>
       <pageBreaks href="#pageBreaks"/>
       <site-xml href="#site-xml"/>
+      <requirements href="#requirements"/>
     </faq>
     <changes label="Changes" href="changes.html"/>
     <changes-rss href="changes.rss"/>



Mime
View raw message